Skip to navigation

List File Notes

Returns paginated notes (comments) on a file, sorted by creation date descending (newest first).

Edit or delete a file note with PATCH / DELETE /notes/{note_id}.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

file_idstringRequired

Query parameters

pageintegerOptional>=1Defaults to 1

Page number (1-based)

page_sizeintegerOptional1-100Defaults to 20

Number of items per page (max 100)

Response

Paginated list of notes
noteslist of objectsOptional
totalCountintegerOptional
Total number of notes on this file

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error